众扬汇 AI 开放平台 API 文档

获取演说模板

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /higgsfield/tpl/avatar-presets:
    get:
      summary: 获取演说模板
      deprecated: false
      description: "本页接口「获取演说模板」对应 GET /higgsfield/tpl/avatar-presets(归属:视频模型/Higgsfield)。"
      tags:
        - 视频模型/Higgsfield
      parameters:
        - name: size
          in: query
          description: "本次返回的模板数量"
          required: false
          example: 30
          schema:
            type: integer
        - name: search
          in: query
          description: "搜索关键词"
          required: false
          example: ''
          schema:
            type: string
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                size:
                  type: integer
                  description: "每页返回条数"
                  default: 30
                search:
                  type: string
                  description: "搜索关键词"
            examples: {}
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        media:
                          type: object
                          properties:
                            url:
                              type: string
                            type:
                              type: string
                            width:
                              type: integer
                            height:
                              type: integer
                            thumbnail_url:
                              type: string
                          required:
                            - url
                            - type
                            - width
                            - height
                            - thumbnail_url
                        params:
                          type: object
                          properties:
                            quality:
                              type: string
                            chunks_count:
                              type: integer
                          required:
                            - quality
                            - chunks_count
                  total:
                    type: integer
                  cursor:
                    type: integer
                required:
                  - items
                  - total
                  - cursor
          headers: {}
      security: []
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

模型名请在「模型广场」复制后填入,不要手输;计费、限流与在售清单以平台实测为准(部分数值待补)。